commit cdaeaad95b789165f7c12b2e066b2a24d2285705
Author: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
Date:   Sat Aug 2 18:51:25 2008 +0300

    Put something in version.h for git
    
    Make sure include/asterisk/version.h has some actual content if we don't
    have a .version file and we're in a git repository.

diff --git a/Makefile b/Makefile
index ee4f639..59f5188 100644
--- a/Makefile
+++ b/Makefile
@@ -250,7 +250,7 @@ else
   RPMVERSION=unknown
 endif
 
-ifneq ($(wildcard .svn),)
+ifneq ($(wildcard .svn)$(wildcard .git),)
   ASTERISKVERSIONNUM=999999
 endif
 
diff --git a/build_tools/make_version b/build_tools/make_version
index e55727f..0857830 100755
--- a/build_tools/make_version
+++ b/build_tools/make_version
@@ -80,4 +80,7 @@ elif [ -d .svn ]; then
 	else
 	echo SVN-${RESULT}-r${REV}${BASE:+-${BASE}}
     fi
+elif [ -d .git ]; then
+    # FIXME: anything better? 'git describe' doesn't seem to help.
+    echo GIT
 fi
